Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » UML2 » Empty Build Dependencies
Empty Build Dependencies [message #986903] Thu, 22 November 2012 10:35 Go to next message
Martynas  L is currently offline Martynas LFriend
Messages: 16
Registered: July 2009
Junior Member
Hello,

"Build Dependencies" section does not list the dependencies (only the message "Missing or empty build.cfg!") since 4.0.0.

What (minimum) EMF version is required for UML2 4.0.1?

Best regards.
Re: Empty Build Dependencies [message #986946 is a reply to message #986903] Thu, 22 November 2012 13:28 Go to previous messageGo to next message
Christian W. Damus is currently offline Christian W. DamusFriend
Messages: 830
Registered: July 2009
Senior Member
Hi,

UML2 4.0.1 would have been built with EMF Juno. So your minimum EMF
should be 2.8.0.

HTH,

Christian


On 2012-11-22 10:35:53 +0000, Martynas L said:

> Hello,
>
> "Build Dependencies" section does not list the dependencies (only the
> message "Missing or empty build.cfg!") since 4.0.0.
>
> What (minimum) EMF version is required for UML2 4.0.1?
>
> Best regards.
Re: Empty Build Dependencies [message #986992 is a reply to message #986946] Thu, 22 November 2012 17:29 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 4150
Registered: July 2009
Senior Member
Hi

And for UML2 4.0 it really is EMF 2.8, unlike many other modeling
projects that are more tolerant.

The UML 2.4 support involves enhanced XMI serialisation policies that
are only available to EMF 2.8.

If you stick to UML 2.x you might get away with a lesser version, but
it's not really a good idea; you're just creating an obscure debugging
trap for later.

Regards

Ed Willink


On 22/11/2012 13:28, Christian W. Damus wrote:
> Hi,
>
> UML2 4.0.1 would have been built with EMF Juno. So your minimum EMF
> should be 2.8.0.
>
> HTH,
>
> Christian
>
>
> On 2012-11-22 10:35:53 +0000, Martynas L said:
>
>> Hello,
>>
>> "Build Dependencies" section does not list the dependencies (only the
>> message "Missing or empty build.cfg!") since 4.0.0.
>>
>> What (minimum) EMF version is required for UML2 4.0.1?
>>
>> Best regards.
>
>
Re: Empty Build Dependencies [message #987045 is a reply to message #986992] Fri, 23 November 2012 07:46 Go to previous messageGo to next message
Martynas  L is currently offline Martynas LFriend
Messages: 16
Registered: July 2009
Junior Member
Thanks for the clarification.

Still does anybody know why "Build Dependencies" section is empty.
Re: Empty Build Dependencies [message #987046 is a reply to message #987045] Fri, 23 November 2012 07:55 Go to previous message
Ed Willink is currently offline Ed WillinkFriend
Messages: 4150
Registered: July 2009
Senior Member
Hi

The underlying build infrastructure has changed and no longer produces
the file where the old PHP script expects it.

(There is an open Bugzilla, IIRC raised against EMF Core.)

Regards

Ed Willink

On 23/11/2012 07:46, Martynas L wrote:
> Thanks for the clarification.
>
> Still does anybody know why "Build Dependencies" section is empty.
Previous Topic:loading .uml / .xmi files in eclipse
Next Topic:Creating/Loading (Legacy) UML Resources
Goto Forum:
  


Current Time: Sat Nov 22 15:44:59 GMT 2014

Powered by FUDForum. Page generated in 0.01813 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software